GWT 2.7.0

## com.google.web.bindery.autobean.shared
Class ValueCodexHelper

    java.lang.Object
      com.google.web.bindery.autobean.shared.ValueCodexHelper

     class ValueCodexHelper

extends java.lang.Object

Provides reflection-based operation for server (JVM) implementation. There is a no-op super-source version for client (dev- and web-mode) code.

Constructor Summary
`ValueCodexHelper()`

Method Summary
`(package private) static boolean` | `canDecode(java.lang.Class<?> clazz)` Returns `true` if `clazz` is assignable to any of the value types.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ValueCodexHelper

    ValueCodexHelper()

Method Detail

### canDecode

    static boolean canDecode(java.lang.Class<?> clazz)

  Returns `true` if `clazz` is assignable to any of the value types.

GWT 2.7.0